//==========================================================================
// グリッド[DX9_Grid.h]
// author: tatsuya ogawa
//==========================================================================
#pragma once

//==========================================================================
// include
//==========================================================================
#include <Windows.h>
#include <d3d9.h>
#include <d3dx9.h>

//==========================================================================
// mslib
//==========================================================================
#include "mslib.hpp"

//==========================================================================
// lib include
//==========================================================================
#include "DX9_Vertex3D.h"

_MSLIB_BEGIN

//==========================================================================
//
// class  : DX9_Grid
// Content: グリッド
//
//==========================================================================
class DX9_Grid : private DX9_VERTEX_3D
{
private:
    // コピー禁止 (C++11)
    DX9_Grid(const DX9_Grid &) = delete;
    DX9_Grid &operator=(const DX9_Grid &) = delete;
public:
    DX9_Grid(LPDIRECT3DDEVICE9 pDevice);
    ~DX9_Grid();

    /**
    @brief 初期化
    @param scale [in] グリッドの表示範囲指定
    */
	void Init(int scale);

    /**
    @brief 解放
    */
	void Release(void);

    /**
    @brief 描画
    */
	void Draw(void);
private:
    LPDIRECT3DDEVICE9 m_Device; // デバイス
	VERTEX_2 *m_pos; // 頂点の作成
	int m_num; // 線の本数管理
	int m_scale; // サイズの記録
};

_MSLIB_END